Get raw data - multiple incidents
Provides enriched incident data and metrics for multiple incidents.
Example metrics include Seconds to Resolve, Seconds to Engage, Snoozed Seconds, and Sleep Hour Interruptions. Metric definitions can be found in our Knowledge Base.
A
team_idsorservice_idsfilter is required for user-level API keys or keys generated through an OAuth flow. Account-level API keys do not have this requirement.
Note: Data availability reflects pipeline processing cycles and is generally within 24 hours under normal conditions.
Scoped OAuth requires: analytics.write
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Header Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
Request Body
application/json
Parameters and filters to apply to the dataset.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
Get raw data - single incident GET
Provides enriched incident data and metrics for a single incident. Example metrics include Seconds to Resolve, Seconds to Engage, Snoozed Seconds, and Sleep Hour Interruptions. Metric definitions can be found in our [Knowledge Base](https://support.pagerduty.com/docs/insights#incidents-list). <!-- theme: info --> > **Note:** Data availability reflects [pipeline processing cycles](https://support.pagerduty.com/main/docs/insights#:~:text=Data%20Update%20Schedule) and is generally within 24 hours under normal conditions. Scoped OAuth requires: `analytics.read`
Get aggregated incident data POST
Provides aggregated enriched metrics for incidents. The provided metrics are aggregated by day, week, month using the aggregate_unit parameter, or for the entire period if no aggregate_unit is provided. <!-- theme: info --> > A `team_ids` or `service_ids` filter is required for [user-level API keys](https://support.pagerduty.com/docs/using-the-api#section-generating-a-personal-rest-api-key) or keys generated through an OAuth flow. Account-level API keys do not have this requirement. <!-- theme: info --> > **Note:** Data availability reflects [pipeline processing cycles](https://support.pagerduty.com/main/docs/insights#:~:text=Data%20Update%20Schedule) and is generally within 24 hours under normal conditions. Scoped OAuth requires: `analytics.write`